/*
 * Copyright (c) 2014, the Dart project authors.  Please see the AUTHORS file
 * for details. All rights reserved. Use of this source code is governed by a
 * BSD-style license that can be found in the LICENSE file.
 */
/**
 * @description Appending an ancestor to a shadow tree should throw an exception
 */
import "dart:html";
import "../../../testcommon.dart";

main() {
  document.body.setInnerHtml('''
    <div id=container>
      <div>
          <span></span>
      </div>
    </div>
    <div>PASS</div>
    ''', treeSanitizer: new NullTreeSanitizer());

  var container = document.getElementById('container');
  var span = container.querySelector('span');
  var shadow = span.createShadowRoot();
  var shadowDiv = shadow.append(document.createElement('div'));
  shouldThrow(() => shadowDiv.append(container));
}
